%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^python3.*dist.*$

Summary:	winregrc - A project to build a Windows Registry Knowledge Base

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		winregrc
Version:	20230205
Release:	1%{?dist}

License:	ASL 2.0

Group:		Applications
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/winreg-kb/wiki
Provides:	winreg-kb-%{version}
Obsoletes:	winreg-kb < %{version}

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
Requires:	libbde-python%{python3_pkgversion} >= 20220121
Requires:	libcreg-python%{python3_pkgversion} >= 20200725
Requires:	libewf-python%{python3_pkgversion} >= 20131210
Requires:	libfcrypto-python%{python3_pkgversion} >= 20221229
Requires:	libfsapfs-python%{python3_pkgversion} >= 20201107
Requires:	libfsext-python%{python3_pkgversion} >= 20220112
Requires:	libfsfat-python%{python3_pkgversion} >= 20220816
Requires:	libfshfs-python%{python3_pkgversion} >= 20220115
Requires:	libfsntfs-python%{python3_pkgversion} >= 20211229
Requires:	libfsxfs-python%{python3_pkgversion} >= 20220113
Requires:	libfvde-python%{python3_pkgversion} >= 20220121
Requires:	libfwnt-python%{python3_pkgversion} >= 20210717
Requires:	libfwsi-python%{python3_pkgversion} >= 20150606
Requires:	libhmac-python%{python3_pkgversion} >= 20230205
Requires:	libluksde-python%{python3_pkgversion} >= 20220121
Requires:	libmodi-python%{python3_pkgversion} >= 20210405
Requires:	libphdi-python%{python3_pkgversion} >= 20220110
Requires:	libqcow-python%{python3_pkgversion} >= 20201213
Requires:	libregf-python%{python3_pkgversion} >= 20201002
Requires:	libsigscan-python%{python3_pkgversion} >= 20230109
Requires:	libsmdev-python%{python3_pkgversion} >= 20140529
Requires:	libsmraw-python%{python3_pkgversion} >= 20140612
Requires:	libvhdi-python%{python3_pkgversion} >= 20201014
Requires:	libvmdk-python%{python3_pkgversion} >= 20140421
Requires:	libvsgpt-python%{python3_pkgversion} >= 20211115
Requires:	libvshadow-python%{python3_pkgversion} >= 20160109
Requires:	libvslvm-python%{python3_pkgversion} >= 20160109
Requires:	python%{python3_pkgversion}-acstore >= 20230101
Requires:	python%{python3_pkgversion}-artifacts >= 20220219
Requires:	python%{python3_pkgversion}-cffi >= 1.9.1
Requires:	python%{python3_pkgversion}-cryptography >= 2.0.2
Requires:	python%{python3_pkgversion}-dfdatetime >= 20221112
Requires:	python%{python3_pkgversion}-dfimagetools >= 20220129
Requires:	python%{python3_pkgversion}-dfvfs >= 20221224
Requires:	python%{python3_pkgversion}-dfwinreg >= 20211207
Requires:	python%{python3_pkgversion}-dtfabric >= 20220219
Requires:	python%{python3_pkgversion}-idna >= 2.5
Requires:	python%{python3_pkgversion}-pytsk3 >= 20210419
Requires:	python%{python3_pkgversion}-pyxattr >= 0.7.2
Requires:	python%{python3_pkgversion}-pyyaml >= 3.10

BuildRequires:	python%{python3_pkgversion}
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools

%description
winreg-kb is a project to build a Windows Registry Knowledge Base.

winregrc is a Python module part of winreg-kb to allow reuse of Windows
Registry Resources.

%prep
%setup 

%build
%py3_build

%install
mkdir -p %{buildroot}/%{_docdir}/%{name}
%py3_install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc ACKNOWLEDGEMENTS AUTHORS LICENSE README
%attr(444, root, root)	%{python3_sitelib}/%{name}*egg-info
%attr(755, root, root)	%{python3_sitelib}/%{name}/
%attr(755, root, root)	%{_bindir}/*
%attr(755, root, root)	%{_docdir}/winreg-kb

%exclude %{python3_sitelib}/*/__pycache__/*

%changelog
* Sun Feb  5 2023 Lawrence R. Rogers <lrr@cert.org> 20230205-1
* Release 20230205-1
        Version as of 20230205

* Fri Feb  1 2019 Lawrence R. Rogers <lrr@cert.org> 20181223-2
* Release 20181223-2
        Version as of 20181223
	-python packages renamed to -python2

* Sun Dec 23 2018 Lawrence R. Rogers <lrr@cert.org> - 20181223-1
* Release 20181223-1
	Version from 20181223 and updated dependencies.

* Tue Aug  8 2017 Lawrence R. Rogers <lrr@cert.org> - 20170525-2
* Release 20170525-
	Rebuilt for new version of python-construct.

